package org.nl.acs.produceshiftorder.service;

import org.nl.acs.common.base.PageInfo;
import org.nl.acs.common.base.CommonService;
import org.nl.acs.produceshiftorder.domain.Produceshiftorder;
import org.nl.acs.produceshiftorder.service.dto.ProduceshiftorderDto;
import org.nl.acs.produceshiftorder.service.dto.ProduceshiftorderQueryParam;
import org.springframework.data.domain.Pageable;
import java.util.List;
import java.util.Set;

/**
* @author jiaolm
* @date 2023-05-09
*/
public interface ProduceshiftorderService extends CommonService<Produceshiftorder>  {

    static final String CACHE_KEY = "produceshiftorder";

    /**
    * 查询数据分页
    * @param query 条件
    * @param pageable 分页参数
    * @return PageInfo<ProduceshiftorderDto>
    */
    PageInfo<ProduceshiftorderDto> queryAll(ProduceshiftorderQueryParam query, Pageable pageable);

    /**
    * 查询所有数据不分页
    * @param query 条件参数
    * @return List<ProduceshiftorderDto>
    */
    List<ProduceshiftorderDto> queryAll(ProduceshiftorderQueryParam query);

    Produceshiftorder getById(String id);
    ProduceshiftorderDto findById(String id);

    /**
     * 插入一条新数据。
     */
    int insert(ProduceshiftorderDto resources);
    int updateById(ProduceshiftorderDto resources);
    int removeById(String id);
    int removeByIds(Set<String> ids);

    /**
    * 导出数据
    * @param all 待导出的数据
    * @param response /
    * @throws IOException /
    */
    // void download(List<ProduceshiftorderDto> all, HttpServletResponse response) throws IOException;
}
